Synaptics Soft Button Areas not working in HP Envy 14 Clickpad

Bug #947354 reported by Nicolás Abel Carbone on 2012-03-05
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
xserver-xorg-input-synaptics (Ubuntu)
Low
Unassigned

Bug Description

In Ubuntu 12.04 the Clickpad support now comes enabled by default. However, pressing the ClickPad results in a left-click in all the surface. It should be registered as a right-click if the ClickPad is pressed in the lower right side. Also, pressing in the lower center should trigger a middle-click.

I tried to enable this function by entering this command in the terminal:

xinput set-prop "13" "Synaptics Soft Button Areas" 3672 5671 3750 4550 3472 3671 3750 4550

but, it still doesn't work.

I am not sure if this is a bug or a design decision, but I think that the missing functionality is important enough to be considered.

MatatTHC (matatthc) wrote :

I can confirm this problem for a Samsung Series 7. I found a partial solution for this.

Check if the ClickPad option is on (synclient -l | grep ClickPad). You can set it with: synclient ClickPad=1. Then you need to tell the areas that should be considered as right or middle mouse botton. With synclient RightButtonAreaLeft=1500 RightButtonAreaTop=1700. It seems to be not necessary to set the lower and right borders.

You can find the info on the "coordinate system" of the pad in /var/log/Xorg.0.log

So far I was not able to set the area for the middle button. I get an error from synclient telling me that the value is wrong.... I also can not set the options in xorg.conf. The RightBottonArea* options seemt to be ignored. So currently I set the options by calling synclient in .profile .

I consider the following to things as bug:
- the ClickPad option should be set automatically.
- The Area Options are not recognized in xorg.conf

I think that this bug may be partially solved. I was wrong, ClickPad wasn't enabled by default. It is now, since a update in xorg in the last week.

I can now enable Soft Buttons in my Envy 14 with this line at start-up:

xinput set-prop "SynPS/2 Synaptics TouchPad" "Synaptics Soft Button Areas" 3872 5671 3984 7694 3272 3871 3984 7694

I am leaving this bug open because, by default, Soft Button are not enabled. And the user probably expect them to be functional as they are in, for example, Windows.

MatatTHC (matatthc) wrote :

I agree.

Maybe these links are helpful:
http://ubuntuforums.org/showthread.php?t=1865577&page=121
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/944961

there seems to be a script in a ppa setting theright button area automaticall. I had no time to test. Hope that I find some minutes the next days.

I tried the script "enable-rightbutton.sh" in the ubuntuforums page MatatTHC said and it works well. It does not enable middle-click touch area, but is a start. Maybe there is a way of shipping this script with the default Ubuntu install?

Also, MatatTHC, could you mark that the bug also affect you, so this get "confirmed" status?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed

create a folder in /etc/X11/:

xorg.conf.d

then create a file named 51.clickpad.conf and paste the following in to the file:

#script to add clickpad support for HP Envy 14

Section "InputClass"
Identifier "Default clickpad buttons"
MatchDriver "synaptics"
Option "SoftButtonAreas" "50% 0 82% 0 0 0 0 0"

EndSection

#

Once you have done this simply log out and log back in again the clickpad will work with right and left click functionality

MatatTHC (matatthc) wrote :

Thanks for the reply. I tried your suggestion and disabled all InputCLlass related things in xorg.conf.

Unfortuntely this does not solve the problem. There is no right click. Also the left button does not work properly. If I click then the mouse always moves a bit and marking text by holding the left mouse button and moving does not work.

I attached the Xorg.0.log.

I see that xorg is loading defaults:

[ 23.234] (**) ETPS/2 Elantech Touchpad: Applying InputClass "evdev touchpad catchall"
[ 23.234] (**) ETPS/2 Elantech Touchpad: Applying InputClass "touchpad catchall"
[ 23.234] (**) ETPS/2 Elantech Touchpad: Applying InputClass "Default clickpad buttons"

what do you have in your /usr/share/X11/xorg.conf.d folder

also have you tried using synclient

manual for use is simply "man synclient" from the terminal

MatatTHC (matatthc) wrote :

Here are the contents

ls /usr/share/X11/xorg.conf.d/

10-evdev.conf
11-evdev-quirks.conf
11-evdev-trackpoint.conf
50-vmmouse.conf
50-synaptics.conf
50-wacom.conf
51-synaptics-quirks.conf

I also played around with synclient. But I was not able to find a satisfying setting. I also checked "man synaptics" which describes the possible settings. Do you know which settings are most important or a kind of configuration howto. If I understood correctly I need to specify the area of the three buttons manually.

Check out the folowing if man synclient doesn't offer you much:

man synaptics
     or
https://wiki.archlinux.org/index.php/Touchpad_Synaptics

Personally I dont understand why the config and folder structure you created did not work. It should have been like this:

/etc/X11/xorg.conf.d/

with a file named 51.clickpad.conf with the following:

Section "InputClass"
Identifier "Default clickpad buttons"
MatchDriver "synaptics"
Option "SoftButtonAreas" "50% 0 82% 0 0 0 0 0"

EndSection

Is this how you have done it?

All you have to do is log out and log back and the right click should work.

MatatTHC (matatthc) wrote :

Hi. I recreated everything and checked everything twice. Still no right click. I attached the xorg log file.

I will now delete the dir again and check what the difference is.

MatatTHC (matatthc) wrote :

With deleted xorg.conf.d directory no difference can be seen. That is the Xorg.0.log file is the same (apart from the times).

I will now read the links you sent me.

Thanks,

MatatTHC (matatthc) wrote :

Is there something to be considered for the xorg.conf file?

Your folder structure shows usr/share/X11/xorg.conf.d/

you should create a new directory:

/etc/X11/xorg.conf.d

also have you checked to see via synclient if your touchpad is being recognised as clickpad:

synclient -l

if it says Clickpad=0 then your touchpad is not being recognised as a clickpad to enable this:

synclient Clickpad=1

to permanently add this as an option you can do either fo 2 things:

1. create a shell script:

/!#/bin/bash

sleep 3

synclient Clickpad=1

end

###

then add to your start up applications

or

you can add the clickpad option into the 51clickpad.conf file which is placed in the new created directory /etc/X11/xorg.conf.d/:

Section "InputClass"
Identifier "Default clickpad buttons"
MatchDriver "synaptics"
Option "ClickPad" "true"
Option "EmulateMidButtonTime" "0"
Option "SoftButtonAreas" "50% 0 82% 0 0 0 0 0"

if your new to shell scripts i should amend my own typo for shell script:

#!/bin/bash

sleep 3

synclient Clickpad=1

end

make sure you make it executable by "chmod 755 [name of your .sh file]2 seeing as you have no right click

MatatTHC (matatthc) wrote :

This did it! That is the 2nd option. I did not try the other option.

Nevertheless I suggest to leave the bug open. The clickpad should be recognised automatically. Ideally also usable values should be preset. Alternatively a tool to adjust the values would be nice.

So, thanks for the help.
Matthias

tags: added: synaptics
tags: added: synclient
tags: added: 12.04 ubuntu
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/947354

tags: added: laptop-testing
Dario Ruellan (druellan) wrote :

I'm testing the 50-synaptics.conf shipped with Ubuntu 12.10 beta 1 on my 12.04 LTS, and works pretty well.
Left/right buttons, both working. Tap and two fingers tap (as right-click) working out-of-the-box.
Something I still could not correct is the oversensitivity when you push the buttons, but overall is very usable without any tweak.

I have found that you need to do the following:

manuallly chown of brightness and vga switcheroo files and do not include
the chown commands in the rc.local as it does nothing.

remove the gnome-session-quit command from the "switchcards.sh" as it
creates a log out message if I want to switch cards

additionally to the info provided I have added the following command to the
start up applications, as my pc always boots with both cards turned on:

gksu echo OFF > /sys/kernel/debug/vgaswitcheroo/switch

regards

sean

On 8 September 2012 17:21, Ubuntu QA Website <email address hidden>wrote:

> This bug has been reported on the Ubuntu laptop testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://laptop.qa.ubuntu.com/qatracker/reports/bugs/947354
>
> ** Tags added: laptop-testing
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/947354
>
> Title:
> Synaptics Soft Button Areas not working in HP Envy 14 Clickpad
>
> Status in “xserver-xorg-input-synaptics” package in Ubuntu:
> Confirmed
>
> Bug description:
> In Ubuntu 12.04 the Clickpad support now comes enabled by default.
> However, pressing the ClickPad results in a left-click in all the
> surface. It should be registered as a right-click if the ClickPad is
> pressed in the lower right side. Also, pressing in the lower center
> should trigger a middle-click.
>
> I tried to enable this function by entering this command in the
> terminal:
>
> xinput set-prop "13" "Synaptics Soft Button Areas" 3672 5671 3750 4550
> 3472 3671 3750 4550
>
> but, it still doesn't work.
>
> I am not sure if this is a bug or a design decision, but I think that
> the missing functionality is important enough to be considered.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/947354/+subscriptions
>

--
Sean

Dario Ruellan (druellan) wrote :

Hi Sean.
Reading your message I guess you're addressing me, talking about a small script I posted to switch cards on hybrid systems, but you pushed reply on the wrong bug report :D
Can you repost it so we can discuss?
Thanks!

HI Dario,

Sure no problem.

   1. Bug #1053856

*Regards*
*
Sean*

On 16 September 2012 14:34, Dario Ruellan <email address hidden> wrote:

> Hi Sean.
> Reading your message I guess you're addressing me, talking about a small
> script I posted to switch cards on hybrid systems, but you pushed reply on
> the wrong bug report :D
> Can you repost it so we can discuss?
> Thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/947354
>
> Title:
> Synaptics Soft Button Areas not working in HP Envy 14 Clickpad
>
> Status in “xserver-xorg-input-synaptics” package in Ubuntu:
> Confirmed
>
> Bug description:
> In Ubuntu 12.04 the Clickpad support now comes enabled by default.
> However, pressing the ClickPad results in a left-click in all the
> surface. It should be registered as a right-click if the ClickPad is
> pressed in the lower right side. Also, pressing in the lower center
> should trigger a middle-click.
>
> I tried to enable this function by entering this command in the
> terminal:
>
> xinput set-prop "13" "Synaptics Soft Button Areas" 3672 5671 3750 4550
> 3472 3671 3750 4550
>
> but, it still doesn't work.
>
> I am not sure if this is a bug or a design decision, but I think that
> the missing functionality is important enough to be considered.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/947354/+subscriptions
>

--
Sean

Nicolás Abel Carbone, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-input-synaptics REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xserver-xorg-input-synaptics (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete

This has been fixed, you can close the bug

sent from mobile device...
On 10 Jan 2014 04:25, "Christopher M. Penalver" <
<email address hidden>> wrote:

> Nicolás Abel Carbone, this bug was reported a while ago and there hasn't
> been any activity in it recently. We were wondering if this is still an
> issue? If so, could you please test for this with the latest development
> release of Ubuntu? ISO images are available from
> http://cdimage.ubuntu.com/daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p xserver-xorg-input-synaptics REPLACE-WITH-BUG-NUMBER
>
> Please note, given that the information from the prior release is
> already available, doing this on a release prior to the development one
> would not be helpful.
>
> Thank you for your understanding.
>
> Helpful bug reporting tips:
> https://wiki.ubuntu.com/ReportingBugs
>
> ** Changed in: xserver-xorg-input-synaptics (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: xserver-xorg-input-synaptics (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/947354
>
> Title:
> Synaptics Soft Button Areas not working in HP Envy 14 Clickpad
>
> Status in “xserver-xorg-input-synaptics” package in Ubuntu:
> Incomplete
>
> Bug description:
> In Ubuntu 12.04 the Clickpad support now comes enabled by default.
> However, pressing the ClickPad results in a left-click in all the
> surface. It should be registered as a right-click if the ClickPad is
> pressed in the lower right side. Also, pressing in the lower center
> should trigger a middle-click.
>
> I tried to enable this function by entering this command in the
> terminal:
>
> xinput set-prop "13" "Synaptics Soft Button Areas" 3672 5671 3750 4550
> 3472 3671 3750 4550
>
> but, it still doesn't work.
>
> I am not sure if this is a bug or a design decision, but I think that
> the missing functionality is important enough to be considered.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/947354/+subscriptions
>

Launchpad Janitor (janitor) wrote :

[Expired for xserver-xorg-input-synaptics (Ubuntu) because there has been no activity for 60 days.]

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers